DefaultBatchTranslatorFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.translator.batch, class: DefaultBatchTranslatorFactory

# Class DefaultBatchTranslatorFactory

java.lang.Object
org.apache.cayenne.access.translator.batch.DefaultBatchTranslatorFactory

All Implemented Interfaces:
  `BatchTranslatorFactory`

Direct Known Subclasses:
  `SoftDeleteTranslatorFactory`

public class DefaultBatchTranslatorFactory extends Object implements BatchTranslatorFactory
Default implementation of `BatchTranslatorFactory`.

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultBatchTranslatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BatchTranslator`
  `deleteTranslator(DeleteBatchQuery query, DbAdapter adapter)`
  `protected BatchTranslator`
  `insertTranslator(InsertBatchQuery query, DbAdapter adapter)`
  `BatchTranslator`
  `translator(BatchQuery query, DbAdapter adapter, String trimFunction)`
  Creates a proper translator for a BatchQuery
  `protected BatchTranslator`
  `updateTranslator(UpdateBatchQuery query, DbAdapter adapter)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultBatchTranslatorFactory

    public DefaultBatchTranslatorFactory()

- ## Method Details

  - ### translator

    public BatchTranslator translator(BatchQuery query, DbAdapter adapter, String trimFunction)
    Description copied from interface: `BatchTranslatorFactory`
    Creates a proper translator for a BatchQuery
    Specified by:
      `translator` in interface `BatchTranslatorFactory`

  - ### deleteTranslator

    protected BatchTranslator deleteTranslator(DeleteBatchQuery query, DbAdapter adapter)

  - ### insertTranslator

    protected BatchTranslator insertTranslator(InsertBatchQuery query, DbAdapter adapter)

  - ### updateTranslator

    protected BatchTranslator updateTranslator(UpdateBatchQuery query, DbAdapter adapter)